const QRCode = require('qrcode')

async function enable2FA(element){
    const totpDiv = document.getElementById('totpSetup');
    const totpConfig = await (await fetch('/profile/totp/config')).json();

    totpDiv.querySelector('img').src = await QRCode.toDataURL(totpConfig.qrData);
    totpDiv.querySelector('code').innerText = totpConfig.secret;
    totpDiv.style.display = 'block';
    element.style.display = 'none';

}

window.enable2FA = enable2FA;